org.keycloak.federation.ldap.mappers

## Class AbstractLDAPFederationMapper

- java.lang.Object
- - org.keycloak.federation.ldap.mappers.AbstractLDAPFederationMapper

- Direct Known Subclasses:
    FullNameLDAPFederationMapper, GroupLDAPFederationMapper, HardcodedLDAPRoleMapper, MSADUserAccountControlMapper, RoleLDAPFederationMapper, UserAttributeLDAPFederationMapper

      public abstract class AbstractLDAPFederationMapper
      extends Object

  Stateful per-request object
  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LDAPFederationProvider` | `ldapProvider`
    `protected UserFederationMapperModel` | `mapperModel`
    `protected RealmModel` | `realm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLDAPFederationMapper(UserFederationMapperModel mapperModel, LDAPFederationProvider ldapProvider, RealmModel realm)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `beforeLDAPQuery(LDAPQuery query)`
    `List<UserModel>` | `getGroupMembers(GroupModel group, int firstResult, int maxResults)`
    `LDAPFederationProvider` | `getLdapProvider()`
    `RealmModel` | `getRealm()`
    `boolean` | `onAuthenticationFailure(LDAPObject ldapUser, UserModel user, AuthenticationException ldapException)`
    `abstract void` | `onImportUserFromLDAP(LDAPObject ldapUser, UserModel user, boolean isCreate)`
    `abstract void` | `onRegisterUserToLDAP(LDAPObject ldapUser, UserModel localUser)`
    `static boolean` | `parseBooleanParameter(UserFederationMapperModel mapperModel, String paramName)`
    `abstract UserModel` | `proxy(LDAPObject ldapUser, UserModel delegate)`
    `UserFederationSyncResult` | `syncDataFromFederationProviderToKeycloak()`
    `UserFederationSyncResult` | `syncDataFromKeycloakToFederationProvider()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mapperModel

          protected final UserFederationMapperModel mapperModel

    - #### ldapProvider

          protected final LDAPFederationProvider ldapProvider

    - #### realm

          protected final RealmModel realm

  - ### Constructor Detail

    - #### AbstractLDAPFederationMapper

          public AbstractLDAPFederationMapper(UserFederationMapperModel mapperModel,
                                              LDAPFederationProvider ldapProvider,
                                              RealmModel realm)

  - ### Method Detail

    - #### syncDataFromFederationProviderToKeycloak

          public UserFederationSyncResult syncDataFromFederationProviderToKeycloak()

      See Also:
        `UserFederationMapper.syncDataFromFederationProviderToKeycloak(UserFederationMapperModel, UserFederationProvider, KeycloakSession, RealmModel)`

    - #### syncDataFromKeycloakToFederationProvider

          public UserFederationSyncResult syncDataFromKeycloakToFederationProvider()

      See Also:
        `UserFederationMapper.syncDataFromKeycloakToFederationProvider(UserFederationMapperModel, UserFederationProvider, KeycloakSession, RealmModel)`

    - #### beforeLDAPQuery

          public abstract void beforeLDAPQuery(LDAPQuery query)

      See Also:
        `LDAPFederationMapper.beforeLDAPQuery(UserFederationMapperModel, LDAPQuery)`

    - #### proxy

          public abstract UserModel proxy(LDAPObject ldapUser,
                                          UserModel delegate)

      See Also:
        `LDAPFederationMapper.proxy(UserFederationMapperModel, LDAPFederationProvider, LDAPObject, UserModel, RealmModel)`

    - #### onRegisterUserToLDAP

          public abstract void onRegisterUserToLDAP(LDAPObject ldapUser,
                                                    UserModel localUser)

      See Also:
        `LDAPFederationMapper.onRegisterUserToLDAP(UserFederationMapperModel, LDAPFederationProvider, LDAPObject, UserModel, RealmModel)`

    - #### onImportUserFromLDAP

          public abstract void onImportUserFromLDAP(LDAPObject ldapUser,
                                                    UserModel user,
                                                    boolean isCreate)

      See Also:
        `LDAPFederationMapper.onImportUserFromLDAP(UserFederationMapperModel, LDAPFederationProvider, LDAPObject, UserModel, RealmModel, boolean)`

    - #### getGroupMembers

          public List<UserModel> getGroupMembers(GroupModel group,
                                                 int firstResult,
                                                 int maxResults)

    - #### onAuthenticationFailure

          public boolean onAuthenticationFailure(LDAPObject ldapUser,
                                                 UserModel user,
                                                 AuthenticationException ldapException)

    - #### parseBooleanParameter

          public static boolean parseBooleanParameter(UserFederationMapperModel mapperModel,
                                                      String paramName)

    - #### getLdapProvider

          public LDAPFederationProvider getLdapProvider()

    - #### getRealm

          public RealmModel getRealm()

Copyright © 2016 JBoss by Red Hat. All rights reserved.